{ config, lib, ... }:
{
  config = lib.mkIf config.home.desktop.enable {
    programs.thunderbird = {
      enable = config.home.desktop.enable;
      profiles.default = {
        isDefault = true;
        settings = {
          "general.autoScroll" = true;
          "browser.download.promptForDownload" = true;

          "security.mixed_content.block_active_content" = true;
          "security.mixed_content.block_display_content" = true;

          "extensions.activeThemeID" = "thunderbird-compact-dark@mozilla.org";
          "extensions.allow-non-mpc-extensions" = false;
          "extensions.allowRemoteAddons" = false;
          "extensions.blocklist.enabled" = true;
          "extensions.checkCompatibility" = false;
          "extensions.enabled" = false;
          "extensions.getAddons.cache.enabled" = false;
          "extensions.ui.enabled" = false;
          "extensions.webextensions.userSelection" = false;

          "privacy.clearOnShutdown.cache" = true;
          "privacy.clearOnShutdown.cookies" = true;
          "privacy.clearOnShutdown.formdata" = true;
          "privacy.clearOnShutdown.siteSettings" = true;
          "privacy.donottrackheader.enabled" = true;
          "privacy.resistFingerprinting" = true;
          "privacy.trackingprotection.enabled" = true;

          "network.cookie.cookieBehavior" = 1;
          "network.cookie.lifetimePolicy" = 2;
          "network.dns.dnsOverHttps.enabled" = true;
          "network.http.pipelining" = false;
          "network.http.speculative-parallel-limit" = 0;
          "network.predictor.enabled" = false;
        };
      };
    };

    home.persistence."${config.xdg.userDirs.extraConfig.XDG_PERSIST_DIR}".directories = [ "browser/.thunderbird/default" ];
  };
}
