{ config, lib, ... }:
{
  programs.ssh = {
    enable = true;
    addKeysToAgent = "yes";
    compression = true;
    matchBlocks = with lib.hm.dag; {
      # Personal servers
      nixfox = {
        match = ''canonical host "*.nixfox.ca"'';
        user = config.home.username;
      };
      midas = {
        hostname = "sv.nixfox.ca";
      };
      kitty = {
        hostname = "sv.nixfox.ca";
        port = 2222;
      };
      prophet = {
        hostname = "mx.nixfox.ca";
      };

      # Misc
      seneca = {
        hostname = "matrix.senecapolytechnic.ca";
        user = "jhampton1";
      };
    };
  };
}
