{ config, ... }:
{
  services.mako = {
    enable = config.home.desktop.enable;
    settings = {
      # Theme
      background-color = "#${config.look.colors.dark}D9";
      border-color = "#${config.look.colors.accent}";
      border-size = config.look.border.int;
      font = "${config.look.fonts.main} 12";
      margin = 0;
      max-icon-size = 40;
      outer-margin = 10;
      padding = 8;

      # Rules
      anchor = "bottom-right";
      default-timeout = 4500;
      layer = "overlay";
      on-button-right = "dismiss-all";
      sort = "+time";

      # Modes
      "mode=do-not-disturb".invisible = 1;
    };
  };
}
