{ lib, pkgs, ... }:
{
  imports = [
    ./grub
    ./lanzaboote
    ./plymouth
    ./services
    ./systemd
  ];

  boot = {
    kernelPackages = lib.mkDefault pkgs.linuxPackages_latest;
    kernelParams = [ "nouveau.config=NvGspRm=1" ];
    blacklistedKernelModules = [ "pcspkr" ];
    kernel.sysctl = {
      "vm.max_map_count" = 2147483642;
      "kernel.sysrq" = 1;
    };
  };
}
